Results 1 to 9 of 9

Thread: Ubuntu 8.04 and zimbra -5.0.11_GA_2695.UBUNTU8.20081117052520

  1. #1
    Join Date
    Dec 2008
    Posts
    2
    Rep Power
    7

    Unhappy Ubuntu 8.04 and zimbra -5.0.11_GA_2695.UBUNTU8.20081117052520

    First error:

    Checking for prerequisites...
    MISSING: libgmp3

    first fix:

    seach util/utilfunc.sh
    replace libgmp3 with libgmp3c2

    second error:
    Error: attempting to install i386 packages on a unknown OS.

    It must not know what OS i'm using.

    - renamed file /etc/debian_version /etc/debian_version_zimbra
    (effectively hiding it)
    - make the file (not normally a file in 8.04) /etc/lsb-release
    #
    DISTRIB_ID=Ubuntu
    DISTRIB_RELEASE=8
    DISTRIB_CODENAME=hardy
    DISTRIB_DESCRIPTION="Ubuntu 8.04"
    #

    third error:

    Checking for suggested prerequisites...
    Unable to find expected perl-5.8.8. Found version 5.10.0-18 instead.

    /usr/bin/perl: symbol lookup error: /opt/zimbra/zimbramon/lib/i486-linux-gnu-thread-multi/auto/IO/IO.so: undefined symbol: Perl_Tstack_sp_ptr

    I'm running 8.04, seems like zimbra was build against per-5.8.8

    Okay, I hope this helps somehow, I like to write things down as I do them, it helps me think.

  2. #2
    dijichi2 is offline OpenSource Builder & Moderator
    Join Date
    Oct 2005
    Posts
    1,176
    Rep Power
    12

    Default

    it sounds like you're not running 8.04. Sure you haven't done a dist-upgrade to 8.10?

  3. #3
    Join Date
    Oct 2005
    Posts
    60
    Rep Power
    10

    Default

    Quote Originally Posted by dijichi2 View Post
    it sounds like you're not running 8.04. Sure you haven't done a dist-upgrade to 8.10?
    This sounds very much exactly like trying to install the 8.04 version onto 8.10.

    guess how I know this?

    btw, it doesn't work.

  4. #4
    Join Date
    Mar 2006
    Posts
    300
    Rep Power
    9

  5. #5
    Join Date
    Dec 2008
    Posts
    2
    Rep Power
    7

    Default

    Quote Originally Posted by cpm View Post
    This sounds very much exactly like trying to install the 8.04 version onto 8.10.

    guess how I know this?

    btw, it doesn't work.
    Hey, turns out that among my many servers one is debian.

    I didnt even check, the rest are ubuntu 8.04.

    Well you certainly pointed me at my mistake.

    thanks installing the debian4 package now...

    I now vaguely remember my boss telling me that we had one debian server on the day one.

    This explains everything

    Hmm..

    This platform is UBUNTU8
    Packages found: DEBIAN4.0
    This may or may not work.

    just for fun.

    ./install.sh --platform-override

    /usr/bin/perl: symbol lookup error: /opt/zimbra/zimbramon/lib/i486-linux-gnu-thread-multi/auto/IO/IO.so: undefined symbol: Perl_Tstack_sp_ptr

    Hmm.

    oh well.

    debain version "lenny/sid" ...
    Last edited by foucault; 12-16-2008 at 12:49 PM.

  6. #6
    dijichi2 is offline OpenSource Builder & Moderator
    Join Date
    Oct 2005
    Posts
    1,176
    Rep Power
    12

    Default

    yup, debian weren't brave/foolish enough to include threaded perl back in the days..

  7. #7
    Join Date
    Jan 2009
    Posts
    2
    Rep Power
    6

    Default

    Quote Originally Posted by foucault View Post
    debain version "lenny/sid" ...
    RTFM

    http://wiki.zimbra.com/index.php?tit...4.0_Etch_AMD64

    works for x86, if you skip the adaptation to x64

  8. #8
    Join Date
    Jan 2009
    Posts
    2
    Rep Power
    6

    Default

    Quote Originally Posted by foucault View Post
    ./install.sh --platform-override

    /usr/bin/perl: symbol lookup error: /opt/zimbra/zimbramon/lib/i486-linux-gnu-thread-multi/auto/IO/IO.so: undefined symbol: Perl_Tstack_sp_ptr

    Hmm.

    oh well.

    debain version "lenny/sid" ...
    I've meant a thing about activeperl (i686-version)

  9. #9
    Join Date
    Jan 2009
    Posts
    369
    Rep Power
    6

    Default

    you can install this package.I resolved that problem with this.You must change its extension to rar after download

Similar Threads

  1. Replies: 8
    Last Post: 01-12-2012, 02:20 AM
  2. Get emails out of zimbra or get it working again?
    By kingfeanor in forum Migration
    Replies: 9
    Last Post: 11-25-2008, 01:02 AM
  3. [SOLVED] Clamav problem ? What's happening ?
    By aNt1X in forum Installation
    Replies: 23
    Last Post: 02-14-2008, 05:43 AM
  4. dspam logrotate errors
    By michaeln in forum Users
    Replies: 7
    Last Post: 02-19-2007, 12:45 PM
  5. 3.1 on FC4 problems
    By cohnhead in forum Installation
    Replies: 8
    Last Post: 05-26-2006, 12:16 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •